# Uses of Class
org.apache.lucene.index.NumericDocValues

Packages that use NumericDocValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.search.comparators
Comparators, used to compare hits so as to determine their sort order when collecting the top results with `TopFieldCollector`.

## Uses of NumericDocValues in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return NumericDocValues
Modifier and Type
Method
Description
`abstract NumericDocValues`
NormsProducer.`getNorms(FieldInfo field)`
Returns `NumericDocValues` for this field.
`abstract NumericDocValues`
DocValuesProducer.`getNumeric(FieldInfo field)`
Returns `NumericDocValues` for this field.
Methods in org.apache.lucene.codecs with parameters of type NumericDocValues
Modifier and Type
Method
Description
`abstract void`
PushPostingsWriterBase.`startTerm(NumericDocValues norms)`
Start a new term.

## Uses of NumericDocValues in org.apache.lucene.codecs.lucene912

Methods in org.apache.lucene.codecs.lucene912 with parameters of type NumericDocValues
Modifier and Type
Method
Description
`void`
Lucene912PostingsWriter.`startTerm(NumericDocValues norms)`

## Uses of NumericDocValues in org.apache.lucene.index

Subclasses of NumericDocValues in org.apache.lucene.index
Modifier and Type
Class
Description
`class`
`FilterNumericDocValues`
Delegates all methods to a wrapped `NumericDocValues`.
Fields in org.apache.lucene.index declared as NumericDocValues
Modifier and Type
Field
Description
`protected final NumericDocValues`
FilterNumericDocValues.`in`
Wrapped values
Methods in org.apache.lucene.index that return NumericDocValues
Modifier and Type
Method
Description
`static final NumericDocValues`
DocValues.`emptyNumeric()`
An empty NumericDocValues which returns no documents
`NumericDocValues`
IndexSorter.NumericDocValuesProvider.`get(LeafReader reader)`
Returns the NumericDocValues instance for this LeafReader
`final NumericDocValues`
CodecReader.`getNormValues(String field)`
`NumericDocValues`
FilterLeafReader.`getNormValues(String field)`
`abstract NumericDocValues`
LeafReader.`getNormValues(String field)`
Returns `NumericDocValues` representing norms for this field, or null if no `NumericDocValues` were indexed.
`static NumericDocValues`
MultiDocValues.`getNormValues(IndexReader r, String field)`
Returns a NumericDocValues for a reader's norms (potentially merging on-the-fly).
`NumericDocValues`
ParallelLeafReader.`getNormValues(String field)`
`static NumericDocValues`
DocValues.`getNumeric(LeafReader reader, String field)`
Returns NumericDocValues for the field, or `DocValues.emptyNumeric()` if it has none.
`NumericDocValues`
EmptyDocValuesProducer.`getNumeric(FieldInfo field)`
`final NumericDocValues`
CodecReader.`getNumericDocValues(String field)`
`NumericDocValues`
ExitableDirectoryReader.ExitableFilterAtomicReader.`getNumericDocValues(String field)`
`NumericDocValues`
FilterLeafReader.`getNumericDocValues(String field)`
`abstract NumericDocValues`
LeafReader.`getNumericDocValues(String field)`
Returns `NumericDocValues` for this field, or null if no numeric doc values were indexed for this field.
`NumericDocValues`
ParallelLeafReader.`getNumericDocValues(String field)`
`static NumericDocValues`
MultiDocValues.`getNumericValues(IndexReader r, String field)`
Returns a NumericDocValues for a reader's docvalues (potentially merging on-the-fly)
`static NumericDocValues`
DocValues.`unwrapSingleton(SortedNumericDocValues dv)`
Returns a single-valued view of the SortedNumericDocValues, if it was previously wrapped with `DocValues.singleton(NumericDocValues)`, or null.
Methods in org.apache.lucene.index with parameters of type NumericDocValues
Modifier and Type
Method
Description
`static SortedNumericDocValues`
DocValues.`singleton(NumericDocValues dv)`
Returns a multi-valued view over the provided NumericDocValues
Constructors in org.apache.lucene.index with parameters of type NumericDocValues
Modifier
Constructor
Description
`protected`
`FilterNumericDocValues(NumericDocValues in)`
Sole constructor

## Uses of NumericDocValues in org.apache.lucene.search

Methods in org.apache.lucene.search that return NumericDocValues
Modifier and Type
Method
Description
`static NumericDocValues`
SortedNumericSelector.`wrap(SortedNumericDocValues sortedNumeric, SortedNumericSelector.Type selector, SortField.Type numericType)`
Wraps a multi-valued SortedNumericDocValues as a single-valued view, using the specified selector and numericType.

## Uses of NumericDocValues in org.apache.lucene.search.comparators

Fields in org.apache.lucene.search.comparators declared as NumericDocValues
Modifier and Type
Field
Description
`protected final NumericDocValues`
NumericComparator.NumericLeafComparator.`docValues`
Methods in org.apache.lucene.search.comparators that return NumericDocValues
Modifier and Type
Method
Description
`protected NumericDocValues`
NumericComparator.NumericLeafComparator.`getNumericDocValues(LeafReaderContext context, String field)`
Retrieves the NumericDocValues for the field in this segment